OpenAL crackling issue

Bug #351732 reported by Warmotor
12
Affects Status Importance Assigned to Milestone
openal (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Distro is Jaunty Beta intial release, all apt/synaptic repositories are unchanged/un-updated from install iso.

I'm aware that crackling, broken audio in OpenAL is a common issue - but on this box I've had Edgy, Gutsy, Elive and an old version of Fedora installed at one time or another (and ran DSL and SLAX for data recovery) and never had this issue. I swapped out my SBLive for a cheapie AC97 and get the same result.

Upon loading UT2004 or OpenArena 0.8.1 (the latter only with OpenAL enabled) I get some pretty messed up audio for about a minute, then it clears up. I understand that OpenAL is using libSDL for some of the backend, and I tried using specific (-alsa -oss -pulseaudio) versions of that instead of the -all option and got the same issue.

Please forgive me if this isn't a Jaunty-specific bug. Digging the new distro, thanks for all of your hard work!

affects: ubuntu → openal (Ubuntu)
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Accepted openal-soft into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Revision history for this message
Plafuro (plafuro) wrote :

I can confirm that this package fixes annoyances created by the outdated openal library (i.e. bug 575368).

Thank you

Martin Pitt (pitti)
tags: added: verification-done
removed: verification-needed
Changed in openal (Ubuntu Maverick):
status: New → Fix Released
Changed in openal (Ubuntu Lucid):
status: New → Fix Committed
Revision history for this message
Philip Muškovac (yofel) wrote :

Fix is in -updates by now

openal-soft (1:1.12.854-0ubuntu1~lucid1) lucid-proposed; urgency=low

  * New upstream release (LP: #565071)
    - Fully backwards compatible
    - Fixed playback when the PulseAudio buffer is calculated to be more than 64KB.
    - Restored compatibility with some older PulseAudio libs.
    - Alternative buffer sizing for PulseAudio, specified using a new config option.
    - Improved buffer size calculations, to prevent drastic latency changes when certain properties (such as ALC_FREQUENCY) are modified.
    - "Not broken" unlike 1.11.753, according to upstream
  * Should fix some remaining crackling issues (LP: #351732, #516435)
 -- Scott Ritchie <email address hidden> Thu, 13 May 2010 17:39:09 +0200

Changed in openal (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers